PGMTOIMGV(1)

NAME
pgmtoimgv - wandelt Portable Graymap in Pilot Bilddateien um

ÜBERSICHT
pgmtoimgv [-h] [-v] [-4] [-t titel] [-n notizdatei] [-{c|m|u}] [eing-datei [ausg-datei]]

BESCHREIBUNG
pgmtoimgv ist ein Filter für die Umwandlung von Portable Graymaps in Pilot pdb-Bilddateien (Graustufenbild). Die angegebene PGM-Datei muss die folgende Palette nutzen, außer die Option -4 ist angegeben:
	P3
	4 1
	255
	  0   0   0
	 85  85  85
	170 170 170
	255 255 255

Ist die Option -4 angegeben, muss das Eingabe-Bild diese Palette nutzen:
	P3
	16 1
	255
	  0   0   0
	 17  17  17
	 34  34  34
	 51  51  51
	 68  68  68
	 85  85  85
	102 102 102
	119 119 119
	136 136 136
	153 153 153
	170 170 170
	187 187 187
	204 204 204
	221 221 221
	238 238 238
	255 255 255

Wenn die PGM-Datei nicht mit dieser Palette erstellt wurde, kann die Palette mit ppmquant(1) umgewandelt werden.

Wenn die Bildbreite kein Vielfaches von 16 ist, werden bis dahin auf der rechten Seite weiße Bildpunkte angefügt. Bilder werden, wenn nötig, bis zu einer Breite und Höhe von 160 Pixel mit weißen Bildpunkten aufgefüllt.

OPTIONEN

-h  Zeigt eine Zusammenfassung der Optionen an und beendet sich.

-v  Zeigt die Version an und beendet sich.

-4  Erstelle 4 bit Graustufen (16 Schattierungen von Grau).

-t title
    Legt den Titel des Bildes fest (max. 31 Zeichen).

-n notizdatei
    Fügt dem Bild eine Notiz aus der Notizdatei hinzu. Normalerweise wird keine Notiz hinzu gefügt.

-c  Erzeugt ein komprimiertes Bild.

-m  Erzeugt ein komprimiertes Bild, wenn dieses kleiner als das unkomprimierte ist. (Standardeinstellung)

-u  Erzeugt ein unkomprimiertes Bild.

eing-datei
    Die Eingabedatei. Normalerweise wird von der Standardeingabe gelesen.

ausg-datei
    Die Ausgabedatei. Normalerweise wird auf die Standardausgabe geschrieben.

SIEHE AUCH
imgvinfo(1), imgvtopnm(1), imgvview(1), pbmtoimgv(1), ppmimgvquant(1), pbm(5), pgm(5).

FEHLER
Fehlerberichte an: Eric A. Howe (mu@trends.net).

AUTOR
Programm, Manpage: Eric A. Howe (mu@trends.net).
Deutsche Übersetzung: Erik Schanze <eriks@debian.org>, 2004.

LIZENZ
Copyright (C) 1997,1998 Eric A. Howe <http://www.trends.net/~mu>.

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.